From a308356d5c7c165bc4c9f8732f1fe920dcd4b67a Mon Sep 17 00:00:00 2001
From: nichongjia-2007 <nichongjia@gmail.com>
Date: 星期一, 03 七月 2023 15:02:11 +0800
Subject: [PATCH] Merge branch 'main' of https://github.com/alibaba-damo-academy/FunASR
---
funasr/runtime/run_server.sh | 25 +++++++++++++++++++++++++
1 files changed, 25 insertions(+), 0 deletions(-)
diff --git a/funasr/runtime/run_server.sh b/funasr/runtime/run_server.sh
new file mode 100755
index 0000000..2ab6491
--- /dev/null
+++ b/funasr/runtime/run_server.sh
@@ -0,0 +1,25 @@
+
+download_model_dir="/workspace/models"
+model_dir="damo/speech_paraformer-large_asr_nat-zh-cn-16k-common-vocab8404-onnx"
+vad_dir="damo/speech_fsmn_vad_zh-cn-16k-common-onnx"
+punc_dir="damo/punc_ct-transformer_zh-cn-common-vocab272727-onnx"
+decoder_thread_num=32
+io_thread_num=8
+port=10095
+certfile="../../../ssl_key/server.crt"
+keyfile="../../../ssl_key/server.key"
+
+. ../../egs/aishell/transformer/utils/parse_options.sh || exit 1;
+
+cd /workspace/FunASR/funasr/runtime/websocket/build/bin
+./funasr-wss-server \
+ --download-model-dir ${download_model_dir} \
+ --model-dir ${model_dir} \
+ --vad-dir ${vad_dir} \
+ --punc-dir ${punc_dir} \
+ --decoder-thread-num ${decoder_thread_num} \
+ --io-thread-num ${io_thread_num} \
+ --port ${port} \
+ --certfile ${certfile} \
+ --keyfile ${keyfile}
+
--
Gitblit v1.9.1